module.exports = {
    create: {
      requestBody: [
        '!qyid',
        '!jgid',
        '!mid',
        'status'
      ]
    },
    destroy: {
      params: ['!id'],
      service: 'delete'
    },
    update: {
      params: ['!id'],
      requestBody: [
        'qyid',
        'jgid',
        'mid',
        'status'
      ]
    },
    show: {
      parameters: {
        params: ['!id']
      },
      service: 'fetch'
    },
    index: {
      parameters: {
        query: {
            name:'%title%'
        }
      },
      service: 'query',
      options: {
        query: ['skip', 'limit'],
        sort: ['meta.createdAt'],
        desc: true,
        count: true
      }
    },
  };
  