module.exports = {
  create: {
    requestBody: [
      'name',
      '!url',
      'order'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'url',
      'order'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name:'%name%',
        url:'url',
        order:'order'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['order'],
      asc: true,
      count: true
    }
  },
};
