module.exports = {
    create: {
      requestBody: [
        '!money',
        '!use',
        'mongey_min_rate',
        'mongey_max_rate',
        'claims_min_term',
        'claims_max_term',
        '!ensure_id',
        'project_status',
        'remarks',
        'jg_id',
        'jg_pro_id',
        'cdata',
        '!userid',
        'status'
      ]
    },
    destroy: {
      params: ['!id'],
      service: 'delete'
    },
    update: {
      params: ['!id'],
      requestBody: [
        '!money',
        '!use',
        'mongey_min_rate',
        'mongey_max_rate',
        'claims_min_term',
        'claims_max_term',
        '!ensure_id',
        'project_status',
        'remarks',
        'jg_id',
        'jg_pro_id',
        'cdata',
        '!userid',
        'status'
      ]
    },
    show: {
      parameters: {
        params: ['!id']
      },
      service: 'fetch'
    },
    index: {
      parameters: {
        query: {
            money:'money'
        }
      },
      service: 'query',
      options: {
        query: ['skip', 'limit'],
        sort: ['meta.createdAt'],
        desc: true,
        count: true
      }
    },
  };
  