module.exports = {
  create: {
    requestBody: [
      '!uid',
      '!company_name',
      '!reg_num',
      '!type',
      '!address',
      '!business',
      '!capital',
      '!establish_date',
      '!valid_period',
      '!person',
      '!opening_bank',
      'status',
      // '!code',
      // 'business_license',
      // 'establish_date',
      // 'due_date',
      // 'type',
      // 'registered_capital',
      // 'total_assets',
      // 'taking',
      // 'number',
      // 'belong_type',
      'profession_one',
      'profession_two',
      'profession_three',
      'profession_four',
      'belong_addr_city',
      'belong_addr_area',
      // 'business_addr',
      // 'registered_addr',
      // 'business_scope',
      // 'introduction',
      // 'card_front',
      // 'card_back',
      // 'representative',
      // 'representative_id',
      // 'representative_phone',
      // 'status'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'uid',
      'company_name',
      'reg_num',
      'type',
      'address',
      'business',
      'capital',
      'establish_date',
      'valid_period',
      'person',
      'opening_bank',
      'status',
      // 'uid',
      // 'business_license',
      // 'company_name',
      // 'establish_date',
      // 'due_date',
      // 'type',
      // 'code',
      // 'registered_capital',
      // 'total_assets',
      // 'taking',
      // 'number',
      // 'belong_type',
      'profession_one',
      'profession_two',
      'profession_three',
      'profession_four',
      'belong_addr_city',
      'belong_addr_area',
      // 'business_addr',
      // 'registered_addr',
      // 'business_scope',
      // 'introduction',
      // 'card_front',
      // 'card_back',
      // 'representative',
      // 'representative_id',
      // 'representative_phone',
      // 'status'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        uid:'uid',
        company_name:'company_name',
        reg_num:'reg_num',
        type:'type',
        address:'address',
        business:'business',
        capital:'capital',
        establish_date:'establish_date',
        valid_period:'valid_period',
        person:'person',
        opening_bank:'opening_bank',
        status:'status',
        // business_license:'business_license',
        // company_name:'%company_name%',
        // establish_date :'establish_date',
        // due_date:'due_date',
        // type:'type',
        // code:'code',
        // registered_capital :'registered_capital',
        // total_assets :'total_assets',
        // taking:'taking',
        // number:'number',
        // belong_type :'belong_type',
        profession_one:'profession_one',
        profession_two :'profession_two',
        profession_three :'profession_three',
        profession_four :'profession_four',
        belong_addr_city :'belong_addr_city',
        belong_addr_area :'belong_addr_area',
        // business_addr :'business_addr',
        // registered_addr :'registered_addr',
        // business_scope :'business_scope',
        // introduction :'introduction',
        // card_front :'card_front',
        // card_back:'card_back',
        // representative :'representative',
        // representative_id :'representative_id',
        // representative_phone :'representative_phone',
        // status:'status'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
