module.exports = {
  create: {
    requestBody: [
      '!phone',
      '!passwd',
      'company_name',
      '!person',
      'institution_name',
      'roles'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'phone',
      'passwd',
      'company_name',
      'person',
      'institution_name',
      'roles'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        phone:'phone',
        passwd :'passwd',
        company_name :'%company_name%',
        person :'%person%',
        institution_name:'institution_name',
        roles: 'roles'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
