module.exports = {
    create: {
      requestBody: [
        '!name',
        'top',
        'publish_time',
        '!mongey_min_rate',
        '!mongey_max_rate',
        '!claims_min_term',
        '!claims_max_term',
        '!ensure_id',
        '!repayment_id',
        '!cplx_id',
        '!cattribute',
        '!claims_min_money',
        '!claims_max_money',
        '!uid',
        'status',
        'news',
        'video',
        'videoimg',
        'nownews',
      ]
    },
    destroy: {
      params: ['!id'],
      service: 'delete'
    },
    update: {
      params: ['!id'],
      requestBody: [
        '!name',
        'top',
        'publish_time',
        '!mongey_min_rate',
        '!mongey_max_rate',
        '!claims_min_term',
        '!claims_max_term',
        '!ensure_id',
        '!repayment_id',
        'cplx_id',
        '!claims_min_money',
        '!claims_max_money',
        '!uid',
        '!cattribute',
        'status',
        'video',
        'news',
        'videoimg',
        'nownews',
      ]
    },
    show: {
      parameters: {
        params: ['!id']
      },
      service: 'fetch'
    },
    index: {
      parameters: {
        query: {
            name:'%name%'
        }
      },
      service: 'query',
      options: {
        query: ['skip', 'limit'],
        sort: ['meta.createdAt'],
        desc: true,
        count: true
      }
    },
  };
  