module.exports = {
    create: {
      requestBody: [
        '!finceType',
        '!finceId',
        '!userid',
        'accept_time',
        'credit_money',
        'credit_time',
        '!orcredit',
        'uuid',
        'senhemessage',
        'jindiaomessage',
        'sxcpname',
        'sxhowlong',
        'sxcplilue'
      ]
    },
    destroy: {
      params: ['!id'],
      service: 'delete'
    },
    update: {
      params: ['!id'],
      requestBody: [
        '!finceType',
        '!finceId',
        'userid',
        'accept_time',
        'credit_money',
        'credit_time',
        '!orcredit',
        'uuid',
        'senhemessage',
        'jindiaomessage',
        'sxcpname',
        'sxhowlong',
        'sxcplilue'
      ]
    },
    show: {
      parameters: {
        params: ['!id']
      },
      service: 'fetch'
    },
    index: {
      parameters: {
        query: {
            finceId:'finceId'
        }
      },
      service: 'query',
      options: {
        query: ['skip', 'limit'],
        sort: ['meta.createdAt'],
        desc: true,
        count: true
      }
    },
  };
  