module.exports = {
  create: {
    requestBody: [
      '!uid',
      'company_name',
      'code',
      'person',
      'phone',
      'opening_bank',
      'orientation',
      'money',
      'claims_min_term',
      'claims_max_term',
      'mongey_min_rate',
      'mongey_max_rate',
      'ensure_id',
      'ensure_name',
      'when',
      'additional_information',
      'create_time',
      'cid',
      'jg_id',
      'refuse_times',
      'ids',
      'status',
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'uid',
      // 'company_name',
      // 'code',
      'person',
      'phone',
      'opening_bank',
      'orientation',
      'money',
      'claims_min_term',
      'claims_max_term',
      'mongey_min_rate',
      'mongey_max_rate',
      'ensure_id',
      'ensure_name',
      'when',
      'additional_information',
      'create_time',
      'cid',
      'jg_id',
      'refuse_times',
      'ids',
      'status',
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        uid:'uid',
        // company_name:'%company_name%',
        // code:'code',
        person:'person',
        phone:'phone',
        opening_bank:'opening_bank',
        money:'money',
        claims_min_term:'claims_min_term',
        claims_max_term:'claims_max_term',
        mongey_min_rate:'mongey_min_rate',
        mongey_max_rate:'mongey_max_rate',
        ensure_id :'ensure_id',
        ensure_name :'ensure_name',
        create_time:'create_time',
        cid:'cid',
        jg_id:'jg_id',
        refuse_times:'refuse_times',
        status:'status',
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
