module.exports = {
    create: {
      requestBody: [
        '!loanid',
        '!jkid',
        '!qyid',
        'accept_time',
        'credit_money',
        'credit_time',
        'orcredit',
        'senhemessage',
        'jindiaomessage'
      ]
    },
    destroy: {
      params: ['!id'],
      service: 'delete'
    },
    update: {
      params: ['!id'],
      requestBody: [
        '!loanid',
        '!jkid',
        '!qyid',
        'accept_time',
        'credit_money',
        'credit_time',
        'orcredit',
        'senhemessage',
        'jindiaomessage'
      ]
    },
    show: {
      parameters: {
        params: ['!id']
      },
      service: 'fetch'
    },
    index: {
      parameters: {
        query: {
            finceId:'finceId'
        }
      },
      service: 'query',
      options: {
        query: ['skip', 'limit'],
        sort: ['meta.createdAt'],
        desc: true,
        count: true
      }
    },
  };
  