module.exports = {
  create: {
    requestBody: [
      '!phone',
      '!passwd',
      '!company_name',
      'uid',
      '!claims_money',
      '!claims_term',
      '!ensure_id',
      'create_time',
      '!type',
      'result_info'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'phone',
      'passwd',
      'company_name',
      'uid',
      'claims_money',
      'claims_term',
      'ensure_id',
      'create_time',
      'type',
      'result_info'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        phone :'phone',
        passwd:'passwd',
        company_name:'%company_name%',
        uid:'uid',
        claims_money:'claims_money',
        claims_term:'claims_term',
        ensure_id:'ensure_id',
        create_time:'create_time',
        type:'type',
        result_info:'result_info'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
