module.exports = {
    create: {
      requestBody: [
        '!title',
        '!stock_give',
        '!stock_money',
        '!rz_id',
        '!persion_name',
        '!persion_phone',
        '!work_id',
        'stock_news',
        '!pro_book',
        'jg_id',
        '!userid',
        'status'
      ]
    },
    destroy: {
      params: ['!id'],
      service: 'delete'
    },
    update: {
      params: ['!id'],
      requestBody: [
        '!title',
        '!stock_give',
        '!stock_money',
        '!rz_id',
        '!persion_name',
        '!persion_phone',
        '!work_id',
        'stock_news',
        '!pro_book',
        'jg_id',
        '!userid',
        'status'
      ]
    },
    show: {
      parameters: {
        params: ['!id']
      },
      service: 'fetch'
    },
    index: {
      parameters: {
        query: {
            money:'title'
        }
      },
      service: 'query',
      options: {
        query: ['skip', 'limit'],
        sort: ['meta.createdAt'],
        desc: true,
        count: true
      }
    },
  };
  