module.exports = {
    create: {
        requestBody: [
            '!type',
            '!image'
        ]
    },
    destroy: {
        params: ['!id'],
        service: 'delete'
    },
    update: {
        params: ['!id'],
        requestBody: [
            'type',
            'image'
        ]
    },
    show: {
        parameters: {
            params: ['!id']
        },
        service: 'fetch'
    },
    index: {
        parameters: {
            query: {
                type:'%type%',
                image:'image'
            }
        },
        service: 'query',
        options: {
            query: ['skip', 'limit'],
            sort: ['meta.createdAt'],
            desc: true,
            count: true
        }
    },
};
