'use strict';

const _ = require('lodash');
const meta = require('./.loanpro.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 债权产品 
class LoanproController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.loanpro;
  }

  //贷款信息列表（后台）
  async loanproList(){
    const res = await this.service.getLoanproList(this.ctx.request.body);
    this.ctx.ok({ ...res });
  }

  //贷款信息列表（前台）view
  async loanproListView(){
    const res = await this.service.getLoanproListView(this.ctx.request.body);
    this.ctx.ok({ ... res });
  }

}

module.exports = CrudController(LoanproController, meta);
