'use strict';

const _ = require('lodash');
const meta = require('./.otheruser.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class OtheruserController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.otheruser;
  }

  async login() {
    const res = await this.service.login(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

  async uppasswd() {
    const res = await this.service.uppasswd(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }
}

module.exports = CrudController(OtheruserController, meta);
