'use strict';

const _ = require('lodash');
const meta = require('./.profession.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class ProfessionController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.profession;
  }

  async upInfo() {
    const data = await this.service.upInfo();
    this.ctx.ok({ ...data });
  }

}

module.exports = CrudController(ProfessionController, meta);
