'use strict';

const _ = require('lodash');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class SearchautoController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.searchauto;
  }

  // 股权融资查询接口
  async institutionsearch() {
    const data = await this.service.institutionsearch(this.ctx.request.body);
    this.ctx.ok({ ...data });
  }

  // 债权查询接口
  async financeclaimssearch() {
    const data = await this.service.financeclaimssearch(this.ctx.request.body);
    this.ctx.ok({ ...data });
  }
  //成功对接企业
  async successnum() {
    const data = await this.service.successnum(this.ctx.request.body);
    this.ctx.ok({ data });
  }


}

module.exports = SearchautoController;
