'use strict';

const _ = require('lodash');
const meta = require('./.tPolicyDeclaration.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class TPolicyDeclarationController extends Controller {

    constructor(ctx) {
        super(ctx);
        this.service = this.ctx.service.tPolicyDeclaration;
    }

    // 修改状态方法
    async state() {
        const res = await this.service.state(this.ctx.request.body);
        this.ctx.ok({ data: res });
    }

    // 条件查询
    async select() {
        const res = await this.service.select(this.ctx.query);
        this.ctx.ok({ ...res });
    }

}

module.exports = CrudController(TPolicyDeclarationController, meta);
