'use strict';

const _ = require('lodash');
const meta = require('./.tUrgeHandle.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class TUrgeHandleController extends Controller {

    constructor(ctx) {
        super(ctx);
        this.service = this.ctx.service.tUrgeHandle;
    }
    // 条件查询
    async select() {
        const res = await this.service.select(this.ctx.query);
        this.ctx.ok({ ...res });
    }
    // 条件查询
    async financingSelect() {
        const res = await this.service.financingSelect(this.ctx.query);
        this.ctx.ok({ ...res });
    }

}

module.exports = CrudController(TUrgeHandleController, meta);
