'use strict';

const _ = require('lodash');
const meta = require('./.viewnews.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 企业消息
class ViewnewsController extends Controller {

    constructor(ctx) {
        super(ctx);
        this.service = this.ctx.service.viewnews;
    }

    // 企业信息中心
    async select() {
        const res = await this.service.getSelect(this.ctx.request.body);
        this.ctx.ok({ ...res });
    }

}

module.exports = CrudController(ViewnewsController, meta);
