'use strict';


const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class TCooperativeOrganizationService extends CrudService {
    constructor(ctx) {
        super(ctx, 't_cooperative_organization');
        this.model = this.ctx.model.TCooperativeOrganization;
    }
}

module.exports = TCooperativeOrganizationService;
