'use strict';

const Core = require('@alicloud/pop-core');
const _ = require('lodash');

const accessKeyId = 'LTAI4G1eNRqKqqRLP15d3x5h';
const accessKeySecret = 'CJtcZjAu366mmmscIRXfyml9Hx61Bh';

const client = new Core({
  accessKeyId,
  accessKeySecret,
  endpoint: 'https://dysmsapi.aliyuncs.com',
  apiVersion: '2017-05-25',
});


/**
 * sms.smsAlert(手机号，签名，模板code，参数) 发送短信提醒
 **/
exports.smsAlert = function(PhoneNumbers, SignName, TemplateCode, TemplateParam) {
  return new Promise((resolve, reject) => {
    try {
      client.request('SendSms', {
        RegionId: 'cn-hangzhou',
        PhoneNumbers,
        SignName,
        TemplateCode,
        TemplateParam,
      }, {
        method: 'POST',
      }).then(result => {
        console.log('res', result);
        if (result.Message && result.Message == 'OK' && result.Code && result.Code == 'OK') { // 短信发送成功
          resolve(result);
        } else {
          console.log('error', result);
          reject(result);
        }
      }, ex => {
        console.log('ex', ex);
        reject(ex);
      });
    } catch (error) {
      console.log('catch  error', error);

      reject(error);
    }
  });
};
