module.exports = {
    create: {
      requestBody: [
        '!intelligentId',
        '!uid',
        'cid',
        'accept_time',
        'credit_money',
        'credit_time',
        '!creditStatus',
        'uuid',
        'senhemessage',
        'jindiaomessage',
        'sxcpname',
        'sxhowlong',
        'sxcplilue'
      ]
    },
    destroy: {
      params: ['!id'],
      service: 'delete'
    },
    update: {
      params: ['!id'],
      requestBody: [
        'intelligentId',
        'uid',
        'cid',
        'accept_time',
        'credit_money',
        'credit_time',
        'creditStatus',
        'uuid',
        'senhemessage',
        'jindiaomessage',
        'sxcpname',
        'sxhowlong',
        'sxcplilue'
      ]
    },
    show: {
      parameters: {
        params: ['!id']
      },
      service: 'fetch'
    },
    index: {
      parameters: {
        query: {
          intelligentId:'intelligentId',
          uid:'uid',
          uuid:'uuid',
        }
      },
      service: 'query',
      options: {
        query: ['skip', 'limit'],
        sort: ['meta.createdAt'],
        desc: true,
        count: true
      }
    },
  };
