module.exports = {
    create: {
      requestBody: [
        '!title',
        'top',
        'news',
        '!rate',
        '!min_time',
        '!max_time',
        '!buymin',
        '!jgid',
        'status',
        'video',
      ]
    },
    destroy: {
      params: ['!id'],
      service: 'delete'
    },
    update: {
      params: ['!id'],
      requestBody: [
        '!title',
        'top',
        'news',
        '!rate',
        '!min_time',
        '!max_time',
        '!buymin',
        '!jgid',
        'status',
        'video',
      ]
    },
    show: {
      parameters: {
        params: ['!id']
      },
      service: 'fetch'
    },
    index: {
      parameters: {
        query: {
            name:'%title%'
        }
      },
      service: 'query',
      options: {
        query: ['skip', 'limit'],
        sort: ['meta.createdAt'],
        desc: true,
        count: true
      }
    },
  };
  