module.exports = {
  create: {
    requestBody: [
      'userid',
      'name',
      'type',
      'optmethod',
      'optservice',
      'optdata',
      'opttime',
      'status',
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'userid',
      'name',
      'type',
      'optmethod',
      'optservice',
      'optdata',
      'opttime',
      'status',
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name:'name',
        type:'type',
        opttime:'opttime',
        status:'status',
        optmethod:'optmethod',
        optservice:'optservice',
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
