module.exports = {
  create: {
    requestBody: [
      'name',
      'phone',
      'passwd',
      'type',
      'characterid',
      'pid'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'phone',
      'passwd',
      'type',
      'characterid',
      'pid'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name:'%name%',
        phone :'phone',
        passwd:'passwd',
        type:'type',
        characterid:'characterid',
        pid:'pid'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
