'use strict';

const _ = require('lodash');
const meta = require('./.applymmoney.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 申请理财产品
class ApplyMmoneyController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.applymmoney;
  }

    //根据金融机构ID查询申请理财信息
    async amlist() {
        const res = await this.service.getAmlist(this.ctx.request.body);
        this.ctx.ok({...res });
      }


    async one(){
        const res = await this.service.getOne(this.ctx.request.body);
        this.ctx.ok({ data:res });
    }

    async changefollow(){
        const res = await this.service.getChangefollow(this.ctx.request.body);
        this.ctx.ok({ data:res });
    }

    async beforecreat(){
        const res = await this.service.getBeforecreat(this.ctx.request.body);
        this.ctx.ok({ data:res });
    }
  
}

module.exports = CrudController(ApplyMmoneyController, meta);
