'use strict';

const _ = require('lodash');
const meta = require('./.companyidentify.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class CompanyidentifyController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.companyidentify;
  }

  async status() {
    await this.service.status(this.ctx.params, this.ctx.request.body);
    this.ctx.ok({ msg: 'accepted' });
  }

}

module.exports = CrudController(CompanyidentifyController, meta);
