'use strict';

const _ = require('lodash');
const meta = require('./.companyup.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class CompanyupController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.companyup;
  }

  async status() {
    await this.service.status(this.ctx.params, this.ctx.request.body);
    this.ctx.ok({ msg: 'accepted' });
  }

}

module.exports = CrudController(CompanyupController, meta);
