'use strict';

const _ = require('lodash');
const meta = require('./.menurole.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class MenuroleController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.menurole;
  }

  async menurole() {
    const res = await this.service.getMenurole(this.ctx.request.body);
    this.ctx.ok({ data: res });
  }

}

module.exports = CrudController(MenuroleController, meta);
