'use strict';

const _ = require('lodash');
const meta = require('./.smartdocking.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class SmartdockingController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.smartdocking;
  }

  async docking() {
    const res = await this.service.docking(this.ctx.request.body);
    this.ctx.ok(res);
  }

  async companySearch() {
    const res = await this.service.companySearch(this.ctx.request.body);
    this.ctx.ok(res);
  }

}

module.exports = CrudController(SmartdockingController, meta);
