'use strict';

const _ = require('lodash');
const meta = require('./.tNewsCenter.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 管理
class TNewsCenterController extends Controller {

    constructor(ctx) {
        super(ctx);
        this.service = this.ctx.service.tNewsCenter;
    }

    // 条件查询
    async select() {
        const res = await this.service.select(this.ctx.query);
        this.ctx.ok({ ...res });
    }
}

module.exports = CrudController(TNewsCenterController, meta);
